summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-09-29 17:23:03 +0000
committerJim Meyering <jim@meyering.net>2002-09-29 17:23:03 +0000
commit92a2cc65cb02eba7fa5c8d7e6d6928c63285ac6c (patch)
tree1edb6c855bed8856c93621a907e47b2192a71b27 /tests
parentb7412e8bc045bae9bab5b98b40ad642a8c4e0852 (diff)
downloadcoreutils-92a2cc65cb02eba7fa5c8d7e6d6928c63285ac6c.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/du/slink35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/du/slink b/tests/du/slink
new file mode 100755
index 000000000..008360924
--- /dev/null
+++ b/tests/du/slink
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Ensure that the size of a long-named-symlink is > 0.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ du --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo '$0: failure in testing framework' 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+symlink_name_lengths='1 15 16 31 32 59 60 63 64 127 128 255 256 511 512 1024'
+for len in $symlink_name_lengths; do
+ name=`yes|tr '\n' y|head -c$len`
+ # Ignore failures.
+ ln -fs $name $len > /dev/null 2>&1
+done
+du -a $symlink_name_lengths > out || fail=1
+
+# Require that at least one of these symlinks has a non-zero size.
+grep '^[1-9]' out > /dev/null || fail=1
+
+(exit $fail); exit $fail